Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class PDeletedFlushedState

    java.lang.Object
      org.apache.openjpa.kernel.PCState
          org.apache.openjpa.kernel.PDeletedState
              org.apache.openjpa.kernel.PDeletedFlushedState

All Implemented Interfaces:
  Serializable

     class PDeletedFlushedState

extends PDeletedState

Lifecycle state. Represents a persistent instance that has been deleted in the current transaction, and that has been flushed to the database.

Author:
  Patrick Linskey

Field Summary

Fields inherited from class org.apache.openjpa.kernel.PCState
`ECLEAN, ECOPY, EDELETED, EDIRTY, ENONTRANS, HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNEWPROVISIONAL, PNONTRANS, PNONTRANSDELETED, PNONTRANSDIRTY, PNONTRANSNEW, TCLEAN, TDIRTY, TLOADED, TRANSIENT`

Constructor Summary
`PDeletedFlushedState()`

Method Summary
`(package private) PCState` | `flush(StateManagerImpl context)` Perform any actions necessary and return the proper lifecycle state on fush.
`(package private) PCState` | `persist(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `Broker.persist(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.kernel.PDeletedState
`beforeOptimisticWrite, beforeWrite, commit, commitRetain, initialize, isDeleted, isDirty, isPersistent, isTransactional, nontransactional, release, rollback, rollbackRestore`

Methods inherited from class org.apache.openjpa.kernel.PCState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, beforeRead, delete, error, evict, isNew, isPendingTransactional, isProvisional, isVersionCheckRequired, nonprovisional, readResolve, transactional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDeletedFlushedState

    PDeletedFlushedState()

Method Detail

### flush

    PCState flush(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necessary and return the proper lifecycle state on fush. Returns the `this` pointer by default.

  Overrides:
    `flush` in class `PDeletedState`

### persist

    PCState persist(StateManagerImpl context)

  Description copied from class: `PCState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `Broker.persist(java.lang.Object, org.apache.openjpa.kernel.OpCallbacks)` with the given instance. Returns the `this` pointer by default. Note: this method is not called for embedded states, and is only called when an existing managed instance is the target of a persist call.

  Overrides:
    `persist` in class `PDeletedState`

### toString

    public String toString()

  Overrides:
    `toString` in class `PDeletedState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.